# HttpStatus Class Reference
[HTTP related utilities]

Enumeration of http status codes. More...

Inheritance diagram for HttpStatus:
[legend]

List of all members.

## Public Member Functions

| toString ()

## Static Public Member Functions

static | getAnyId ()
| must return any existent ID 1 should be ok for most enumerations

## Public Attributes

const | CODE_100 = 100
const | CODE_101 = 101
const | CODE_200 = 200
const | CODE_201 = 201
const | CODE_202 = 202
const | CODE_203 = 203
const | CODE_204 = 204
const | CODE_205 = 205
const | CODE_206 = 206
const | CODE_300 = 300
const | CODE_301 = 301
const | CODE_302 = 302
const | CODE_303 = 303
const | CODE_304 = 304
const | CODE_305 = 305
const | CODE_307 = 307
const | CODE_400 = 400
const | CODE_401 = 401
const | CODE_402 = 402
const | CODE_403 = 403
const | CODE_404 = 404
const | CODE_405 = 405
const | CODE_406 = 406
const | CODE_407 = 407
const | CODE_408 = 408
const | CODE_409 = 409
const | CODE_410 = 410
const | CODE_411 = 411
const | CODE_412 = 412
const | CODE_413 = 413
const | CODE_414 = 414
const | CODE_415 = 415
const | CODE_416 = 416
const | CODE_417 = 417
const | CODE_500 = 500
const | CODE_501 = 501
const | CODE_502 = 502
const | CODE_503 = 503
const | CODE_504 = 504
const | CODE_507 = 507
const | CODE_510 = 510

## Protected Attributes

| $names

## Detailed Description

Enumeration of http status codes.

Definition at line 17 of file HttpStatus.class.php.

## Member Function Documentation

static HttpStatus::getAnyId | ( |  | ) | `[static]`

must return any existent ID 1 should be ok for most enumerations

Reimplemented from Enumeration.

Definition at line 105 of file HttpStatus.class.php.

HttpStatus::toString | ( |  | ) |

Reimplemented from Enumeration.

Definition at line 110 of file HttpStatus.class.php.

Referenced by HeaderUtils::sendHttpStatus().

## Member Data Documentation

HttpStatus::$names`[protected]`

Reimplemented from Enumeration.

Definition at line 61 of file HttpStatus.class.php.

const HttpStatus::CODE_100 = 100

Definition at line 19 of file HttpStatus.class.php.

const HttpStatus::CODE_101 = 101

Definition at line 20 of file HttpStatus.class.php.

const HttpStatus::CODE_200 = 200

Definition at line 21 of file HttpStatus.class.php.

Referenced by OpenIdConsumer::associate(), and OpenIdConsumer::checkAuthentication().

const HttpStatus::CODE_201 = 201

Definition at line 22 of file HttpStatus.class.php.

const HttpStatus::CODE_202 = 202

Definition at line 23 of file HttpStatus.class.php.

const HttpStatus::CODE_203 = 203

Definition at line 24 of file HttpStatus.class.php.

const HttpStatus::CODE_204 = 204

Definition at line 25 of file HttpStatus.class.php.

const HttpStatus::CODE_205 = 205

Definition at line 26 of file HttpStatus.class.php.

const HttpStatus::CODE_206 = 206

Definition at line 27 of file HttpStatus.class.php.

const HttpStatus::CODE_300 = 300

Definition at line 28 of file HttpStatus.class.php.

const HttpStatus::CODE_301 = 301

Definition at line 29 of file HttpStatus.class.php.

const HttpStatus::CODE_302 = 302

Definition at line 30 of file HttpStatus.class.php.

const HttpStatus::CODE_303 = 303

Definition at line 31 of file HttpStatus.class.php.

const HttpStatus::CODE_304 = 304

Definition at line 32 of file HttpStatus.class.php.

const HttpStatus::CODE_305 = 305

Definition at line 33 of file HttpStatus.class.php.

const HttpStatus::CODE_307 = 307

Definition at line 34 of file HttpStatus.class.php.

const HttpStatus::CODE_400 = 400

Definition at line 35 of file HttpStatus.class.php.

const HttpStatus::CODE_401 = 401

Definition at line 36 of file HttpStatus.class.php.

const HttpStatus::CODE_402 = 402

Definition at line 37 of file HttpStatus.class.php.

const HttpStatus::CODE_403 = 403

Definition at line 38 of file HttpStatus.class.php.

const HttpStatus::CODE_404 = 404

Definition at line 39 of file HttpStatus.class.php.

const HttpStatus::CODE_405 = 405

Definition at line 40 of file HttpStatus.class.php.

const HttpStatus::CODE_406 = 406

Definition at line 41 of file HttpStatus.class.php.

const HttpStatus::CODE_407 = 407

Definition at line 42 of file HttpStatus.class.php.

const HttpStatus::CODE_408 = 408

Definition at line 43 of file HttpStatus.class.php.

const HttpStatus::CODE_409 = 409

Definition at line 44 of file HttpStatus.class.php.

const HttpStatus::CODE_410 = 410

Definition at line 45 of file HttpStatus.class.php.

const HttpStatus::CODE_411 = 411

Definition at line 46 of file HttpStatus.class.php.

const HttpStatus::CODE_412 = 412

Definition at line 47 of file HttpStatus.class.php.

const HttpStatus::CODE_413 = 413

Definition at line 48 of file HttpStatus.class.php.

const HttpStatus::CODE_414 = 414

Definition at line 49 of file HttpStatus.class.php.

const HttpStatus::CODE_415 = 415

Definition at line 50 of file HttpStatus.class.php.

const HttpStatus::CODE_416 = 416

Definition at line 51 of file HttpStatus.class.php.

const HttpStatus::CODE_417 = 417

Definition at line 52 of file HttpStatus.class.php.

const HttpStatus::CODE_500 = 500

Definition at line 53 of file HttpStatus.class.php.

const HttpStatus::CODE_501 = 501

Definition at line 54 of file HttpStatus.class.php.

const HttpStatus::CODE_502 = 502

Definition at line 55 of file HttpStatus.class.php.

const HttpStatus::CODE_503 = 503

Definition at line 56 of file HttpStatus.class.php.

const HttpStatus::CODE_504 = 504

Definition at line 57 of file HttpStatus.class.php.

const HttpStatus::CODE_507 = 507

Definition at line 58 of file HttpStatus.class.php.

const HttpStatus::CODE_510 = 510

Definition at line 59 of file HttpStatus.class.php.

The documentation for this class was generated from the following file:

- main/Net/Http/HttpStatus.class.php